Bug 572119 - SpamAssassin Mail Filter: Arbitrary shell command injection (privilege escalation) [Fedora all]
Summary: SpamAssassin Mail Filter: Arbitrary shell command injection (privilege escala...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spamass-milter
Version: rawhide
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: http://fedoraproject.org/wiki/Securit...
Whiteboard:
Depends On:
Blocks: CVE-2010-1132
TreeView+ depends on / blocked
 
Reported: 2010-03-10 11:07 UTC by Jan Lieskovsky
Modified: 2010-04-09 08:44 UTC (History)
1 user (show)

Fixed In Version: spamass-milter-0.3.1-18.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 08:44:36 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-03-10 11:07:06 UTC
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #572117:
SpamAssassin Mail Filter: Arbitrary shell command injection (privilege escalation)

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=572117

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs

Comment 1 Fedora Update System 2010-03-22 20:46:15 UTC
spamass-milter-0.3.1-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/spamass-milter-0.3.1-17.fc13

Comment 2 Fedora Update System 2010-03-22 20:46:29 UTC
spamass-milter-0.3.1-17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/spamass-milter-0.3.1-17.fc12

Comment 3 Fedora Update System 2010-03-22 20:59:17 UTC
spamass-milter-0.3.1-17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/spamass-milter-0.3.1-17.fc11

Comment 4 Fedora Update System 2010-03-22 21:00:46 UTC
spamass-milter-0.3.1-17.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/spamass-milter-0.3.1-17.el5

Comment 5 Fedora Update System 2010-03-22 21:01:51 UTC
spamass-milter-0.3.1-17.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/spamass-milter-0.3.1-17.el4

Comment 6 Fedora Update System 2010-04-07 22:15:47 UTC
spamass-milter-0.3.1-18.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-04-07 22:18:00 UTC
spamass-milter-0.3.1-18.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-04-09 01:38:35 UTC
spamass-milter-0.3.1-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-04-09 01:46:13 UTC
spamass-milter-0.3.1-18.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-09 04:04:10 UTC
spamass-milter-0.3.1-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Paul Howarth 2010-04-09 08:44:36 UTC
This issue is now resolved in all supported Fedora and EPEL releases, by spamass-milter-0.3.1-18.*.

The fix is based on upstream's proposed patch from https://savannah.nongnu.org/bugs/?29136 but this patch has not been committed to upstream CVS, let alone becom epart of a new upstream release. However, I have tested it quite extensively myself and it is also included in Debian's update for this issue.


Note You need to log in before you can comment on or make changes to this bug.